be.ehealth.businessconnector.wsconsent.builders

## Class RequestObjectBuilderFactory

- java.lang.Object
- - be.ehealth.businessconnector.wsconsent.builders.RequestObjectBuilderFactory

-     public final class RequestObjectBuilderFactory
      extends Object

  RequestObjectBuilderFactory class used to create `RequestObjectBuilder`, `PatientInfoBuilder`, `HcPartyInfoBuilder`, `AuthorBuilder`, `ConsentBuilder`

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AuthorBuilder` | `getAuthorBuilder()` Retrieve an instance of `AuthorBuilder` implementation.
    `static ConsentBuilder` | `getConsentBuilder()` Retrieve an instance of `ConsentBuilder` implementation.
    `static HcPartyInfoBuilder` | `getHcPartyInfoBuilder()` Retrieve an instance of `HcPartyInfoBuilder` implementation.
    `static PatientInfoBuilder` | `getPatientInfoBuilder()` Retrieve an instance of `PatientInfoBuilder` implementation.
    `static RequestObjectBuilder` | `getRequestObjectBuilder()` getRequestObjectBuilder constructor which create RequestObjectBuilder object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getRequestObjectBuilder

          public static RequestObjectBuilder getRequestObjectBuilder()
                                                              throws TechnicalConnectorException,
                                                                     WsConsentBusinessConnectorException,
                                                                     InstantiationException

      getRequestObjectBuilder constructor which create RequestObjectBuilder object.
      Returns:
        RequestObjectBuilder
      Throws:
        `TechnicalConnectorException`
        `WsConsentBusinessConnectorException`
        `InstantiationException`

    - #### getPatientInfoBuilder

          public static PatientInfoBuilder getPatientInfoBuilder()
                                                          throws TechnicalConnectorException

      Retrieve an instance of `PatientInfoBuilder` implementation.
      Returns:
        PatientInfoBuilder object
      Throws:
        `TechnicalConnectorException`

    - #### getHcPartyInfoBuilder

          public static HcPartyInfoBuilder getHcPartyInfoBuilder()
                                                          throws TechnicalConnectorException,
                                                                 WsConsentBusinessConnectorException

      Retrieve an instance of `HcPartyInfoBuilder` implementation.
      Returns:
        HcPartyInfoBuilder object
      Throws:
        `TechnicalConnectorException`
        `WsConsentBusinessConnectorException`

    - #### getConsentBuilder

          public static ConsentBuilder getConsentBuilder()
                                                  throws TechnicalConnectorException,
                                                         WsConsentBusinessConnectorException

      Retrieve an instance of `ConsentBuilder` implementation.
      Returns:
        ConsentBuilder object
      Throws:
        `TechnicalConnectorException`
        `WsConsentBusinessConnectorException`

    - #### getAuthorBuilder

          public static AuthorBuilder getAuthorBuilder()
                                                throws TechnicalConnectorException,
                                                       WsConsentBusinessConnectorException

      Retrieve an instance of `AuthorBuilder` implementation.
      Returns:
        AuthorBuilderobject
      Throws:
        `TechnicalConnectorException`
        `WsConsentBusinessConnectorException`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.